Threads
List Threads
Query Parameters
Limit of number of items returned.
Page token for pagination.
Labels to filter by.
Timestamp before which to filter by.
date-timeTimestamp after which to filter by.
date-timeSort in ascending temporal order.
Include spam in results.
Include blocked in results.
Include trash in results.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/threads" \ -H "Authorization: string"{
"count": 0,
"limit": 0,
"next_page_token": "string",
"threads": [
{
"inbox_id": "string",
"thread_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"received_timestamp": "2019-08-24T14:15:22Z",
"sent_timestamp": "2019-08-24T14:15:22Z",
"senders": [
"string"
],
"recipients": [
"string"
],
"subject": "string",
"preview": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"last_message_id": "string",
"message_count": 0,
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"name": "string",
"message": "string"
}Get Thread
Path Parameters
ID of thread.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/threads/string" \ -H "Authorization: string"{
"inbox_id": "string",
"thread_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"received_timestamp": "2019-08-24T14:15:22Z",
"sent_timestamp": "2019-08-24T14:15:22Z",
"senders": [
"string"
],
"recipients": [
"string"
],
"subject": "string",
"preview": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"last_message_id": "string",
"message_count": 0,
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"messages": [
{
"inbox_id": "string",
"thread_id": "string",
"message_id": "string",
"labels": [
"string"
],
"timestamp": "2019-08-24T14:15:22Z",
"from": "string",
"reply_to": [
"string"
],
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"subject": "string",
"preview": "string",
"text": "string",
"html": "string",
"extracted_text": "string",
"extracted_html": "string",
"attachments": [
{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string"
}
],
"in_reply_to": "string",
"references": [
"string"
],
"headers": {
"property1": "string",
"property2": "string"
},
"size": 0,
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"name": "string",
"message": "string"
}Update Thread
Path Parameters
ID of thread.
Header Parameters
Bearer authentication
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.agentry.to/agent/v0/threads/string" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"thread_id": "string",
"labels": [
"string"
]
}{
"name": "string",
"errors": null
}{
"name": "string",
"message": "string"
}{
"name": "string",
"message": "string"
}Delete Thread
Path Parameters
ID of thread.
Query Parameters
If true, permanently delete the thread instead of moving to trash.
Header Parameters
Bearer authentication
Response Body
application/json
curl -X DELETE "https://api.agentry.to/agent/v0/threads/string" \ -H "Authorization: string"{
"name": "string",
"message": "string"
}Get Attachment
Path Parameters
ID of thread.
ID of attachment.
Header Parameters
Bearer authentication
Response Body
application/json
application/json
curl -X GET "https://api.agentry.to/agent/v0/threads/string/attachments/string" \ -H "Authorization: string"{
"attachment_id": "string",
"filename": "string",
"size": 0,
"content_type": "string",
"content_disposition": "inline",
"content_id": "string",
"download_url": "string",
"expires_at": "2019-08-24T14:15:22Z"
}{
"name": "string",
"message": "string"
}